/rest/variant-source-files/patients/{id}/files/{fileName}

The Variant Store module extends PhenoTips to support adding pre-processed/annotated genome sequencing data to patient records, filtering variants by annotations and gene-phenotype associations, and allowing for efficient queries across patient records. The default file upload format is a tab-separated file with the following columns:

  • chrom: Chromosome (string)
  • pos: Position (integer, 1-indexed)
  • ref: Reference allele (string)
  • alt: Alternate allele (string)
  • zygosity: "het" or "hom" (string)
  • gene: HGNC gene symbol (string, optional but required for gene-phenotype filtration)

If you are interested the Variant Store being configured to support your custom variant file format or custom annotations, please get in touch with your support contact or send an email to [email protected].

Performance Considerations
As of PhenoTips 6.0, variant store disk usage is approximately 3x that of the original source files (2x is within the attachment store and 1x within the solr index). The variant store should be provided with at least 2 GB of RAM. Indexing speed varies considerably based on the hardware resources, server load, and volume of data in the variant store, but a reasonable estimate is 50 variants / second (so a processed exome file with ~5,000 variants should take 1-2 minutes to index).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Internal PhenoTips identifier

string
required

Name of the variant source file. Filenames must match the following regex to be valid: [a-zA-Z0-9-_.]+

Body Params
metadata
object

The metadata as a JSON string with keys: patientId, refGenome, fileName

file

The contents of the text file to upload (maximum 10 MB). The file must be in the same format as provided to the PhenoTips team when the variant store is installed.

Responses
200

Successfully uploaded file and queued for processing

400

Bad request. Error in metadata or request format

403

User not authorized

404

Patient record not found

409

This patient record already has a variant file with the same name

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!